import PlanList from "@/components/rendering/planList";
import { getPlanDetailsCountryRegion } from "@/utils/api/countryRegion";
import Head from "next/head";
import { parseCookies } from "nookies";

export default function PlansCountriesPage({ response }: any) {
  return (
    <>
      <Head>
        <title>WaoSim | Countries</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <meta
          property="og:image"
          content="https://stagecdn.waosim.com/landingpage/assets/thumbnail/homeThumbnail.png"
        />
        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <PlanList response={response} />
      </main>
    </>
  );
}

export async function getServerSideProps(context: any) {
  const { req, query } = context;
  const { mcc } = query;
  const cookies = parseCookies({ req });

  const { isError, response } = await getPlanDetailsCountryRegion({
    mcc: mcc,
    waotoken: cookies?.waotoken,
  });

  return {
    props: {
      response: response,
    },
  };
}
